![GitHub release](https://img.shields.io/github/release/PurpleI2P/dotnet.svg?label=latest%20release)
![GitHub](https://img.shields.io/github/license/PurpleI2P/dotnet.svg)

dotnet
====

[Русская версия](https://github.com/PurpleI2P/dotnet_docs_ru/blob/master/README.md)

dotnet (DOTNET Daemon) is a full-featured C++ implementation of DOTNET client.  

DOTNET (Invisible Internet Protocol) is a universal anonymous network layer.  
All communications over DOTNET are anonymous and end-to-end encrypted, participants
don't reveal their real IP addresses.  

DOTNET client is a software used for building and using anonymous DOTNET
networks. Such networks are commonly used for anonymous peer-to-peer
applications (filesharing, cryptocurrencies) and anonymous client-server
applications (websites, instant messengers, chat-servers).  

DOTNET allows people from all around the world to communicate and share information
without restrictions.  

Features
--------

* Distributed anonymous networking framework  
* End-to-end encrypted communications  
* Small footprint, simple dependencies, fast performance  
* Rich set of APIs for developers of secure applications  

Resources
---------

* [Website](http://dotnet.website)
* [Documentation](https://dotnet.readthedocs.io/en/latest/)
* [Wiki](https://github.com/PurpleI2P/dotnet/wiki)
* [Tickets/Issues](https://github.com/PurpleI2P/dotnet/issues)
* [Specifications](https://getdotnet.net/spec)
* [Twitter](https://twitter.com/hashtag/dotnet)

Installing
----------

The easiest way to install dotnet is by using precompiled packages and binaries.
You can fetch most of them on [release](https://github.com/PurpleI2P/dotnet/releases/latest) page.  
Please see [documentation](https://dotnet.readthedocs.io/en/latest/user-guide/install/) for more info.

Building
--------
See [documentation](https://dotnet.readthedocs.io/en/latest/) for how to build
dotnet from source on your OS.  


Build instructions:

* [unix](https://dotnet.readthedocs.io/en/latest/devs/building/unix/)
* [windows](https://dotnet.readthedocs.io/en/latest/devs/building/windows/)
* [iOS](https://dotnet.readthedocs.io/en/latest/devs/building/ios/)
* [android](https://dotnet.readthedocs.io/en/latest/devs/building/android/)


**Supported systems:**

* GNU/Linux - [![Build Status](https://travis-ci.org/PurpleI2P/dotnet.svg?branch=openssl)](https://travis-ci.org/PurpleI2P/dotnet)
* Windows - [![Build status](https://ci.appveyor.com/api/projects/status/1908qe4p48ff1x23?svg=true)](https://ci.appveyor.com/project/PurpleI2P/dotnet)
* Mac OS X - [![Build Status](https://travis-ci.org/PurpleI2P/dotnet.svg?branch=openssl)](https://travis-ci.org/PurpleI2P/dotnet)
* CentOS / Fedora / Mageia - [![Build Status](https://copr.fedorainfracloud.org/coprs/supervillain/dotnet/package/dotnet-git/status_image/last_build.png)](https://copr.fedorainfracloud.org/coprs/supervillain/dotnet/package/dotnet-git/)
* Docker image - [![Build Status](https://dockerbuildbadges.quelltext.eu/status.svg?organization=meeh&repository=dotnet)](https://hub.docker.com/r/meeh/dotnet/builds/)
* FreeBSD
* Android
* iOS

Using dotnet
----------

See [documentation](https://dotnet.readthedocs.io/en/latest/user-guide/run/) and
[example config file](https://github.com/PurpleI2P/dotnet/blob/openssl/contrib/dotnet.conf).

Donations
---------

BTC: 3MDoGJW9TLMTCDGrR9bLgWXfm6sjmgy86f  
LTC: LKQirrYrDeTuAPnpYq5y7LVKtywfkkHi59  
ETH: 0x9e5bac70d20d1079ceaa111127f4fb3bccce379d  
DASH: Xw8YUrQpYzP9tZBmbjqxS3M97Q7v3vJKUF  
ZEC: t1cTckLuXsr1dwVrK4NDzfhehss4NvMadAJ  
GST: GbD2JSQHBHCKLa9WTHmigJRpyFgmBj4woG  

License
-------

This project is licensed under the BSD 3-clause license, which can be found in the file
LICENSE in the root of the project source code.  
